= BOM Plugin

Allows one to publish a BOM from Gradle.
Properties, dependencies, and other BOMs are applied to the `bom {}` extension.

This plugin applies the `java-platform` and `maven-publish` plugins to the Project it's applied to.

== Usage

[source,groovy,indent=0]
----
plugins {
	id 'org.springframework.boot.bom'
}

bom {
    property 'logback.version', '1.2.3'
    property 'junit-jupiter.version', '5.3.2'

    dependency 'ch.qos.logback', 'logback-classic', '${logback.version}'
    dependency 'ch.qos.logback', 'logback-core', '${logback.version}'

    bomImport 'org.junit', 'junit-bom', '${junit-jupiter.version}'
}
----

